{% load static i18n %}

<!-- Footer: Navigation -->
<div class="footer-nav">

    <!-- Footer: Dropdown -->
    <div class="footer-nav-dropdown dropdown">
        
        <button class="btn dropdown-toggle" type="button" id="footer-nav-dropdown-button" data-toggle="dropdown" aria-expanded="false">
            <img src="{% static '/images/icons/white/more-vertical.svg' %}" height="26" border="0" alt="Haldus" /> Haldus
        </button>
        
        <div class="dropdown-menu dropdown-menu-left" aria-labelledby="footer-nav-dropdown-button">
            <!-- Example: Map Coordinates -->
            <a class="dropdown-item text-muted admin" href="?tab=map-search-new&coord_x=54386056&coord_y=658831032">(URLil x: 54386056, y: 658831032)</a>
            <a class="dropdown-item text-muted admin" href="?tab=map-search-new&building_lat=24.772786336835118&building_lon=59.43037632425038">(URLil lat: 24.772763, lon: 59.4303763)</a>
            <!-- Example: Address Tasks -->
            <a class="dropdown-item text-muted admin" href="?tab=address-tasks&task_sender_email=monika.heiden@telia.ee">(Saatja aadressülesanded)</a>
            <a class="dropdown-item text-muted admin" href="?tab=address-task&task_sender_name=Mari%20Maasikas&task_sender_email=mari.maasikas%40telia.ee&task_sender_phone=%2B37253123456">(Ainult aadressülesande vorm)</a>
            <!-- Example: Building Documents -->
            <a class="dropdown-item text-muted admin" href="?tab=address-documents&building_id=595285">(Ainult hoone dokumendid)</a>
            <!-- Example: Popup -->
            <a class="dropdown-item text-muted admin" href="javascript:openPopUpWindow('index.html', 'addressPopUpLarge', 1000, 650);">(Ava popupina 1000x650 px)</a>
            <a class="dropdown-item text-muted admin" href="javascript:openPopUpWindow('index.html', 'addressPopUpSmall', 770, 650);">(Ava popupina 770x650 px)</a>
            <a class="dropdown-item text-muted admin" href="javascript:resizeCurrentPopUpWindow(1000, 650);">(Muuda popup 1000x650 px)</a>
            <!-- Example: Preloader -->
            <a class="dropdown-item text-muted admin" href="javascript:$('.card').each(function(){ showCardPreloader($(this)); });">(Kaartide preloaderi käivitamine)</a>
            <a class="dropdown-item text-muted admin" href="javascript:$('.card').each(function(){ hideCardPreloader($(this)); });">(Kaartide preloaderi lõpetamine)</a>
            <!-- Example: Notification Modals -->
            <a class="dropdown-item text-muted admin" href="javascript:showSuccessModal(false, false)">(Õnnestumise teade)</a>
            <a class="dropdown-item text-muted admin" href="javascript:showErrorModal(false, false)">(Veateade)</a>
            <a class="dropdown-item text-muted admin" href="javascript:showNotificationModal('icon-home-blue', 'Super', 'Oledki tagasi kodus!', 'Panen ukse lukku')">(Kohandatud teade)</a>
            <!-- Example: Form Modal -->
            <a class="dropdown-item text-muted admin" href="javascript:showFormModal('#address-task-form')">(Teavita aadressist modaal)</a>
            <!-- New: New Features (Maybe in development) -->
            <a class="dropdown-item d-flex align-items-center" href="?tab=address-tasks"><i class="icon icon-service-other-blue"></i><span>Aadressülesanded (UUS)</span></a>
            <a class="dropdown-item d-flex align-items-center" href="?tab=address-documents&building_id=595285"><i class="icon icon-home-blue"></i><span>Hoone dokumendid (UUS)</span></a>
            <a class="dropdown-item d-flex align-items-center" href="?tab=map-search-new"><i class="icon icon-pin-blue"></i><span>Kaart (UUS)</span></a>
            <a class="dropdown-item d-flex align-items-center" href="#" target="_blank"><i class="icon icon-new-window-blue"></i><span>Sisene RESS-API halduspaneeli</span></a>
            <!-- Admin: Admin Toggle -->
            <div class="dropdown-item dropdown-item-admin d-flex align-items-center">
                <span>Admin-režiim</span>
                <label class="toggle-switch mb-0 ml-auto">
                    <input id="dropdown-item-admin-toggle-switch" type="checkbox" value="1" />
                    <span class="toggle-switch-slider round"></span>
                </label>
            </div>

        </div>
    </div>
</div>